Build #2,375

Build: #2375 failed Scheduled

Build result summary

Details

Completed
Duration
22 minutes
Labels
None
Agent
bamboo-03.af.pivotal.io
Revision
d185444bdeed617311a02949a5733291b91f74bd d185444bdeed617311a02949a5733291b91f74bd
Total tests
8
Fixed in
#2405 (Changes by Andy Wilkinson)

Responsible

No one has taken responsibility for this failure

Tests

New test failures 1
Status Test View job Duration
Collapse Failed BomDependenciesTests dependenciesAreCorrect History
Default Job 51 secs
java.lang.AssertionError: Downgraded dependencies: com.fasterxml.jackson.core:jackson-databind:     org.springframework.data:spring-data-commons:2.0.13.BUILD-SNAPSHOT wants 2.9.8 but Platform provides 2.9.7     org.springframework.data:spring-data-couchbase:3.0.13.BUILD-SNAPSHOT wants 2.9.8 but Platform provides 2.9.7     org.springframework.data:spring-data-elasticsearch:3.0.13.BUILD-SNAPSHOT wants 2.9.8 but Platform provides 2.9.7     org.springframework.data:spring-data-gemfire:2.0.13.BUILD-SNAPSHOT wants 2.9.8 but Platform provides 2.9.7     org.springframework.data:spring-data-geode:2.0.13.BUILD-SNAPSHOT wants 2.9.8 but Platform provides 2.9.7     org.springframework.data:spring-data-mongodb:2.0.13.BUILD-SNAPSHOT wants 2.9.8 but Platform provides 2.9.7     org.springframework.data:spring-data-redis:2.0.13.BUILD-SNAPSHOT wants 2.9.8 but Platform provides 2.9.7     org.springframework.data:spring-data-rest-webmvc:3.0.13.BUILD-SNAPSHOT wants 2.9.8 but Platform provides 2.9.7     org.springframework.data:spring-data-solr:3.0.13.BUILD-SNAPSHOT wants 2.9.8 but Platform provides 2.9.7 com.fasterxml.jackson.core:jackson-core:     org.springframework.data:spring-data-elasticsearch:3.0.13.BUILD-SNAPSHOT wants 2.9.8 but Platform provides 2.9.7     org.springframework.data:spring-data-redis:2.0.13.BUILD-SNAPSHOT wants 2.9.8 but Platform provides 2.9.7 com.fasterxml.jackson.datatype:jackson-datatype-jdk8:     org.springframework.data:spring-data-rest-core:3.0.13.BUILD-SNAPSHOT wants 2.9.8 but Platform provides 2.9.7 com.fasterxml.jackson.datatype:jackson-datatype-hibernate4:     org.springframework.data:spring-data-rest-webmvc:3.0.13.BUILD-SNAPSHOT wants 2.9.8 but Platform provides 2.9.7 com.fasterxml.jackson.datatype:jackson-datatype-hibernate5:     org.springframework.data:spring-data-rest-webmvc:3.0.13.BUILD-SNAPSHOT wants 2.9.8 but Platform provides 2.9.7 com.fasterxml.jackson.datatype:jackson-datatype-joda:     org.springframework.data:spring-data-rest-webmvc:3.0.13.BUILD-SNAPSHOT wants 2.9.8 but Platform provides 2.9.7 
java.lang.AssertionError: Downgraded dependencies:
com.fasterxml.jackson.core:jackson-databind:
    org.springframework.data:spring-data-commons:2.0.13.BUILD-SNAPSHOT wants 2.9.8 but Platform provides 2.9.7
    org.springframework.data:spring-data-couchbase:3.0.13.BUILD-SNAPSHOT wants 2.9.8 but Platform provides 2.9.7
    org.springframework.data:spring-data-elasticsearch:3.0.13.BUILD-SNAPSHOT wants 2.9.8 but Platform provides 2.9.7
    org.springframework.data:spring-data-gemfire:2.0.13.BUILD-SNAPSHOT wants 2.9.8 but Platform provides 2.9.7
    org.springframework.data:spring-data-geode:2.0.13.BUILD-SNAPSHOT wants 2.9.8 but Platform provides 2.9.7
(51 more lines...)